# define name of the scl
%global scl python27
%scl_package %scl

# Defaults for the values for the python27/rh-python35 Software Collection. These
# will be used when python27-scldevel (or rh-python35-scldevel) is not in the
# build root
%{!?scl_python:%global scl_python python27}
%{!?scl_no_vendor:%global scl_no_vendor python27}
%{!?scl_prefix_python:%global scl_prefix_python %{scl_python}-}

# Only for this build, you need to override default __os_install_post,
# because the default one would find /opt/.../lib/python2.7/ and try
# to bytecompile with the system /usr/bin/python2.7
%global __os_install_post %{%{scl_no_vendor}_os_install_post}
# Similarly, override __python_requires for automatic dependency generator
%global __python_requires %{%{scl_no_vendor}_python_requires}

# The directory for site packages for this Software Collection
%global seafile_sitelib %(echo %{python27python_sitelib} | sed 's|%{scl_python}|%{scl}|')

%define release 6
%define version 3.1
Name:           libzdb
Version:        %{version}
Release: 	%{release}%{?dist}
Summary:        Small, easy to use Database Connection Pool Library
License:        GPLv3+ and MIT
URL:            http://www.tildeslash.com/libzdb/
Source0:        http://www.tildeslash.com/%{name}/dist/%{name}-%{version}.tar.gz
BuildRequires:  flex
BuildRequires:  mysql-devel
BuildRequires:  pkgconfig
BuildRequires:  postgresql-devel >= 8
#BuildRequires:  sqlite-devel >= 3.7.17
BuildRequires: scl-utils-build
# Always make sure that there is the python27-sclbuild (or rh-python35-sclbuild)
# package in the build root
BuildRequires: %{scl_prefix_python}scldevel
# Require python27-python-devel, you will need macros from that package
BuildRequires: %{scl_prefix_python}python-devel
BuildRequires: %{scl_prefix_python}build
Requires: %{scl_prefix}python-versiontools
BuildArch: x86_64

%description
The Zild C Database Library implements a small, fast, and easy to use database
API with thread-safe connection pooling. The library can connect transparently
to multiple database systems, has zero configuration and connections are
specified via a standard URL scheme.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

# Errant file
rm -f doc/api-docs/._*

%build
scl enable %{scl_python} "bash"
%{?scl:scl enable %{scl_python} - << \EOF}
export PYTHON='/opt/rh/python27/root/usr/bin/python'

%configure --disable-static --enable-protected --with-sqlite --enable-sqliteunlock

make %{?_smp_mflags}
%{?scl:EOF}

%install
%scl_install
%{?scl:scl enable %{scl_python} - << \EOF}
export PYTHON='/opt/rh/python27/root/usr/bin/python'

make install DESTDIR=%{buildroot}
%{?scl:EOF}
rm -rf  %{buildroot}/etc/rpm/macros.python27-config
rm -rf  %{buildroot}/etc/scl/prefixes/python27
rm -rf  %{buildroot}/opt/rh/python27/root/usr/tmp
rm -rf  %{buildroot}/opt/rh/python27/root/var/mail

%post   -p /sbin/ldconfig

%postun -p /sbin/ldconfig 

%files
%doc AUTHORS CHANGES COPYING README
%{_libdir}/%{name}.so.*

%files devel
/usr/src/debug/*
/usr/lib/debug/.build-id/*
%{_includedir}/zdb/
%{_libdir}/%{name}.so
/usr/lib/debug/%{_libdir}/%{name}.so*.debug
%{_libdir}/pkgconfig/zdb.pc
%exclude %{_libdir}/%{name}.la
%doc doc/api-docs

%changelog
* Sat Mar 24 2018 Jean-Philipe Pialasse <tests@pialasse.com> 3.1-6.sme
- build only for x86_64, as no scl available for i386

* Thu Mar 22 2018 Jean-Philipe Pialasse <tests@pialasse.com> 3.1-5.sme
- build with python27 scl

* Tue Feb 27 2018 Jean-Philipe Pialasse <tests@pialasse.com> 3.1-4.sme
- enable sqliteunlock [SME: 10527]
- require sqlite >=3.7.17

* Mon Feb 26 2018 Jean-Philipe Pialasse <tests@pialasse.com> - 3.1-3.sme
- disable unlock notify for sqlite (--enable-sqliteunlock), this is not supported by upstream packaged sqlite, 
  would need the following option at build time : -DSQLITE_ENABLE_UNLOCK_NOTIFY=1 

* Mon Feb 19 2018 Jean-Philippe Pialasse <tests@pialasse.com> - 3.1-2
- first import for SME Server 

* Sun Oct 23 2016 Julien Enselme <jujens@jujens.eu> - 3.1-1
- Update to 3.1
- Unretire package

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 20 2014 Christopher Meng <rpm@cicku.me> - 3.0-2
- Enable SQLite unlock notification API support.

* Thu Mar 13 2014 Bernard Johnson <bjohnson@symetrix.com> - 3.0-1
- v 3.0 (bz #1049219)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 05 2011 Bernard Johnson <bjohnson@symetrix.com> - 2.8.1-1
- bump to 2.8.1 which fixes a Oracle driver transaction memory leak

* Wed Mar 23 2011 Dan Horák <dan@danny.cz> - 2.8-2
- rebuilt for mysql 5.5.10 (soname bump in libmysqlclient)

* Tue Feb 22 2011 Bernard Johnson <bjohnson@symetrix.com> - 2.8-1
- v 2.8

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 08 2010 Bernard Johnson <bjohnson@symetrix.com> - 2.7-1
- v 2.7
- change BR from flex to flex-static for F15 (bz #660879)

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 2.6-3
- rebuilt with new openssl

* Thu Jul 30 2009 Jesse Keating <jkeating@redhat.com> - 2.6-2
- Bump for F12 mass rebuild

* Sun Jul 05 2009 Bernard Johnson <bjohnson@symetrix.com> - 2.6-1
- v 2.6

* Thu Jun 04 2009 Bernard Johnson <bjohnson@symetrix.com> - 2.5-1
- remove EXCEPTIONS notice
- v 2.5

* Sat Mar 07 2009 Bernard Johnson <bjohnson@symetrix.com> - 2.4-3
- fix typo in requires
- bz #474044

* Wed Feb 25 2009 Bernard Johnson <bjohnson@symetrix.com> - 2.4-2
- add a notice to EXCEPTIONS that dual licensing is not available in Fedora

* Mon Feb 16 2009 Bernard Johnson <bjohnson@symetrix.com> - 2.4-1
- v 2.4
- remove patches required for 2.3
- drop EXCEPTIONS as noted in review ticket

* Thu Feb 05 2009 Bernard Johnson <bjohnson@symetrix.com> - 2.3-1
- v 2.3

* Thu Dec 04 2008 Bernard Johnson <bjohnson@symetrix.com> - 2.2.3-2
- disable static build by default
- remove release version from soname
- move headers to %%{_includedir}/libzdb/

* Thu Nov 13 2008 Bernard Johnson <bjohnson@symetrix.com> - 2.2.3-1
- initial build
